<route lang="json5" type="page">
{
  style: { navigationBarTitleText: '搜索' },
}
</route>

<template>
  <view class="serch-box">
    <wd-search
      placeholder="请输入牛号"
      cancel-txt="搜索"
      v-model="searchObj.searchNum"
      light
      @cancel="doSearch"
    />
  </view>
</template>

<script lang="ts" setup>
import { reactive } from 'vue'

defineOptions({
  name: 'Login',
})

let searchObj = reactive({
  searchNum: '',
})

// 拿到搜索框参数 去请求接口
function doSearch() {}

onLoad((options) => {
  // 路由参数
  searchObj.searchNum = options.serch
})
</script>

<style lang="scss" scoped>
//
</style>
